import Vue from 'vue';
import Vuex from 'vuex';



Vue.use(Vuex);

const store = new Vuex.Store({
    state: {
        // 状态
        currName:  sessionStorage.getItem('currName'),
        currentIndex: sessionStorage.getItem('currentIndex')
    },
    mutations: {
        // 改变方法
        setIndex(state, index){
            sessionStorage.setItem('currentIndex', index)
            state.currentIndex = index
        },
        // 改变方法
        currName(state, currName){
            sessionStorage.setItem('currName', currName)
            state.currentIndex = currName
        }
    },
    actions: {

    },

});

export default store;
